// abstract class for a tool... responds to dragging and releasing on the stage. Tools generate things.
class CircleTool extends Tool {
  CircleTool () {
    super();
  }
  
  
  
  
  void display() {
    if(drawing) {
      // better to create the output thing and draw in preview mode?
      noFill();
      strokeWeight(3);
      stroke(colorPicker.currentColor);
      ellipseMode(CENTER);
      
    float x = min(startX, mouseX);
    float y = min(startY, mouseY);
    float rx = max(startX, mouseX) - x;
    float ry = max(startY, mouseY) - y;  
      
      ellipse(startX, startY,max(rx, ry) * 2, max(rx, ry) * 2);
    }
  }
  
  void onFinish() {
    super.onFinish();

    // sounds good, let's add a rectangle to the stage
    float x = min(startX, mouseX);
    float y = min(startY, mouseY);
    float rx = max(startX, mouseX) - x;
    float ry = max(startY, mouseY) - y;    

    
    things.add(new Circle(x, y, max(rx, ry), colorPicker.currentColor));
  }  
  


}
