class ColorPicker {
  float x, y, w, h;
  PImage palette;
  int currentColor;
  
  ColorPicker(float _x, float _y, float _w, float _h) {
    x = _x;
    y = _y;
    w = _w;
    h = _h;
    palette = createImage((int)w, (int)h, RGB);
    palette.loadPixels();
    
    
    colorMode(HSB);
    for (int i = 0; i < w; i++) {
      for (int j = 0; j < h; j++) {
        palette.set(i, j, color(map(i, 0, w, 0, 255), 255, map(j, 0, h, 0, 255)));
      }
    }
    colorMode(RGB);
    
    // generate the colors
    
    palette.updatePixels();
  }
  
  void display() {
    image(palette, x, y);
    
    // picke a color
     if((mouseX > x && mouseX < x + w) && (mouseY > y && mouseY < y + h))  {
       // must be over
       if(mousePressed == true) {
         // must have clicked
         // update the color
         currentColor = palette.get(mouseX - (int)x, mouseY - (int)y);
         println(currentColor);
       }
     }   
    
  }
  
}
