// 
class RectangleTool extends Tool {

  RectangleTool() {
    super();
  }

  void display() {
    if(drawing) {
      // better to create the output thing and draw in preview mode?
      noFill();
      strokeWeight(3);
      stroke(colorPicker.currentColor);
      rect(startX, startY, mouseX - startX, mouseY - startY);
    }
  }

  void onFinish() {
    super.onFinish();

    // sounds good, let's add a rectangle to the stage
    float x = min(startX, mouseX);
    float y = min(startY, mouseY);
    float w = max(startX, mouseX) - x;
    float h = max(startY, mouseY) - y;
    
    things.add(new Rectangle(x, y, w, h, colorPicker.currentColor));
  }


}

