// abstract class for a tool... responds to dragging and releasing on the stage. Tools generate things.
class Tool {
  boolean drawing;
  int startX, startY;
  
  Tool() {
    drawing = false;
  }
  
  void onStart() {
    drawing = true;
    startX = mouseX;
    startY = mouseY;
  }

  void onDrag() {
  }
  
  void onFinish() {
    drawing = false;
    println("finish");
  }
  
  void onCancel() {
    drawing = false;
  }
  
  void display() {
  }

}
